ApiManagementProjects
POST
/v1/mgmt/project/snapshot/validate

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

files?object
excludes?array<string>
string
inputSecrets?object

Validate a project snapshot utilizing a management key.

This endpoint allows you to validate a project snapshot before importing it.

See Also

curl -X POST "https://api.descope.com/v1/mgmt/project/snapshot/validate" \  -H "Content-Type: application/json" \  -d '{}'
{  "ok": true,  "failures": [    "string"  ],  "missingSecrets": {    "connectors": [      {        "id": "string",        "name": "string",        "type": "string",        "value": "string"      }    ],    "oauthProviders": [      {        "id": "string",        "name": "string",        "type": "string",        "value": "string"      }    ],    "outboundApps": [      {        "id": "string",        "name": "string",        "type": "string",        "value": "string"      }    ]  }}
export interface Response {ok?: booleanfailures?: string[]missingSecrets?: SnapshotSecrets}export interface SnapshotSecrets {connectors?: {id?: stringname?: stringtype?: stringvalue?: string}[]oauthProviders?: {id?: stringname?: stringtype?: stringvalue?: string}[]outboundApps?: SnapshotSecret[]}export interface SnapshotSecret {id?: stringname?: stringtype?: stringvalue?: string}
Was this helpful?